Results 1 to 3 of 3

Thread: The php extension does not work.

  1. #1

    Default The php extension does not work.

    Hello All!

    I installed php-extension php-mapscript-6.4.1-3.5.i586.rpm and its dependency libmapserver1-6.4.1-3.5.i586.rpm
    from this repository:
    http://download.opensuse.org/reposit...USE_13.1/i586/
    and restarted apache.

    The installation looks like successfully. The appropriate files take place as for other working extensions:

    1. In /etc/php5/conf.d/ directory:
    mapscript.ini with extension=php_mapscript.so string.


    2. In /usr/lib/php5/extensions/ directory:
    php_mapscript.so - link to php_mapscript.so.1

    php_mapscript.so.1 - link to php_mapscript.so.6.4.1

    php_mapscript.so.6.4.1 - shared library


    But the extension does not work.
    php -m or phpinfo() does not show a presence of the php_mapscript and extension_loaded('php_mapscript') returns FALSE.

    May be I should to configure something else?

    Thanx for any help.

  2. #2
    Join Date
    Jun 2008
    Location
    San Diego, Ca, USA
    Posts
    11,117
    Blog Entries
    2

    Default Re: The php extension does not work.

    Are you running a 32-bit OS (and 32-bit Apache)?
    If you don't know, post the following command and its results
    Code:
    uname -a
    TSU

  3. #3

    Default Re: The php extension does not work.

    tsu2,

    Thanx for response.
    I sure that OS is 32-bit and Apache probably too because it works properly.
    However:

    Code:
    # uname -a
    Linux linux-um8f.site 3.11.10-29-desktop #1 SMP PREEMPT Thu Mar 5 16:24:00 UTC 2015 (338c513) i686 i686 i386 GNU/Linux

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •